<?php

/**
 * @copyright   Copyright (C) 2006 - 2014 Michael Richey. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

class plgSystemArticleHits extends JPlugin {
    
    public function onContentPrepareForm($form, $data) {	//	
	if (!($form instanceof JForm))
	{
	    $this->_subject->setError('JERROR_NOT_A_FORM');

	    return false;
	}

	// Check we are manipulating a valid form.
	$name = $form->getName();
	if ($name != 'com_content.article')
	{
	    return true;
	}
	$form->setFieldAttribute('hits','readonly','false');
	$form->setFieldAttribute('hits','filter','raw');
    }
}